DrmaaException
Keywords: org.ggf.drmaa.DrmaaException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ggf.drmaa
Class DrmaaException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ggf.drmaa.DrmaaException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AuthorizationException, DeniedByDrmException, DrmCommunicationException, DrmsExitException, DrmsInitException, ExitTimeoutException, InconsistentStateException, InvalidArgumentException, InvalidAttributeException, InvalidContactStringException, NoResourceUsageException, SessionException, TryLaterException

public abstract class DrmaaException
extends java.lang.Exception

The base class for all caught DRMAA Exceptions.

Since:
  0.5
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`DrmaaException()` Creates a new instance of `DrmaaException` without detail message.
`DrmaaException(java.lang.String msg)` Constructs an instance of `DrmaaException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DrmaaException

    public DrmaaException()

  Creates a new instance of `DrmaaException` without detail message.

### DrmaaException

    public DrmaaException(java.lang.String msg)

  Constructs an instance of `DrmaaException` with the specified detail message.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD